SLA Notification Schemes API
Bu içerik henüz dilinizde mevcut değil.
- List SLA notification schemes
- Get a single SLA notification scheme
- Create an SLA notification scheme
- Update an SLA notification scheme
- Fields
List SLA notification schemes
Заголовок раздела «List SLA notification schemes»List all SLA notification schemes for an account:
GET /sla_notification_schemesResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 2, "sourceID": null, "name": "Scheme 1", "created_at": "2016-12-23T05:09:03-06:00", "updated_at": "2016-12-23T05:09:03-06:00" }, { "id": 3, "sourceID": null, "name": "Scheme 2", "created_at": "2016-12-23T05:09:03-06:00", "updated_at": "2016-12-23T05:09:03-06:00" }]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of timesheet settings.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/sla_notification_schemes/enabled: List all enabled SLA notification schemes/sla_notification_schemes/disabled: List all disabled SLA notification schemes
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of SLA notification schemes:
id
sourceID
name
created_at
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Заголовок раздела «Filtering»Filtering is available for the following fields :
id
source
sourceID
disabled
name
created_at
updated_at
The filters on
source
,
sourceID
, and
name
are not case sensitive.
Sorting
Заголовок раздела «Sorting»By default a collection of SLA notification schemes is sorted
ascending
by
name
.
The following fields are accepted by the ?sort= parameter :
id
sourceID
name
created_at
updated_at
Get a single SLA notification scheme
Заголовок раздела «Get a single SLA notification scheme»GET /sla_notification_schemes/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "created_at": "2016-12-23T05:09:03-06:00", "disabled": false, "id": 3, "name": "Scheme 1", "source": null, "sourceID": null, "updated_at": "2016-12-23T05:09:03-06:00"}The response contains these fields .
Create an SLA notification scheme
Заголовок раздела «Create an SLA notification scheme»POST /sla_notification_schemesWhen creating a new SLA notification scheme these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "name": "...", "...": "..."}The response contains all fields of the created SLA notification scheme and is similar to the response in Get a single SLA notification scheme
Update an SLA notification scheme
Заголовок раздела «Update an SLA notification scheme»PATCH /sla_notification_schemes/:idWhen updating an SLA notification scheme these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "name": "...", "...": "..."}The response contains all fields of the updated SLA notification scheme and is similar to the response in Get a single SLA notification scheme
created_at
Readonly datetime — The date and time at which the SLA notification scheme was created.
disabled
Optional
boolean
, default:
false
— The Disabled box is checked when the SLA notification scheme may no longer be related to any more service offerings.
id
Readonly integer — The unique ID of the SLA notification scheme.
name
Required string (max 80) — The Name field is used to enter the name of the SLA notification scheme.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
updated_at
Readonly
datetime
— The date and time of the last update of the SLA notification scheme. If the SLA notification scheme has no updates it contains the
created_at
value.